---
title: "创建订单"
description: "创建订单。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/create-an-order'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/order/order-management/create-an-order.md'
---
# 创建订单

创建订单。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /orders.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `write_orders`

## Request

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

### Request Body

* `order`

  object

  订单信息。

  * `buyer_note`

    string

    买家留言。

  * `currency`

    string

    买家下单币种。该字段值为三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。

  * `fulfillment_status`

    string

    订单的发货状态。有效枚举值包含：
    - `unshipped`：未发货
    - `shipped`：已发货
    
    默认值：`unshipped`
    
    :::warning
    **注意**：传入枚举值的准确性会进行强校验，如果枚举值校验不通过，则订单会创建失败，会报错 `fulfillment_status is invalid`。
    :::

  * `line_items`

    array<object>

    订单商品快照信息列表。

    * `title`

      string

      商品标题。

    * `location_id`

      string

      商品库存地点 ID。

    * `properties`

      array<object>

      商品定制信息列表。

      * `value`

        string

        自定义属性值

      * `name`

        string

        自定义属性名称

      * `show`

        boolean

        定制信息是否可见：
        - `true`：可见
        - `false`：不可见
        默认值：`false`

      * `type`

        string

        定制信息类型。有效枚举值包含：
        - `text`：字符类型
        - `picture`：图片类型
        - `link`：链接类型

      * `urls`

        array<string>

        URL 资源列表。
        - 如果 `type` 是 `picture`，可通过 `urls` 获取渲染出缩略图。
        - 如果 `type` 是 `link`，那么超链接为 `urls` 的第一个。

    * `quantity`

      long

      商品数量。

    * `taxable`

      boolean

      该商品是否需要收税。
      - `true`：需要收税
      - `false`：不需要收税
      
      默认值：`true`

    * `variant_id`

      string

      分配给库存中某一特定商品的唯一编码。

    * `discount_price`

      object

      商品自定义折扣明细。

      * `amount`

        string

        折扣金额。数值保留到小数点后两位。

      * `title`

        string

        折扣名称。

    * `price`

      string

      商品售价，数值保留到小数点后两位。

    * `product_id`

      string

      款式对应商品的唯一标识 ID。

    * `requires_shipping`

      boolean

      表明商品是否需要运输。
      - `true`：需要运输
      - `false`：不需要运输

    * `shipping_line_title`

      string

      商品行匹配的运费方案标题。在传入shipping_lines情况下，当前字段必传。

    * `tax_line`

      object

      自定义商品税费信息。

      * `price`

        string

        税费金额。商品实际收税以此字段金额为准，传入的 `rate` 税费仅做展示作用。

      * `rate`

        string

        税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。

      * `title`

        string

        税费说明标题。该信息只做展示作用。

  * `price_info`

    object

    价格信息。

    * `taxes_included`

      boolean

      该订单是否包含税费金额。
      - `true`：包含税费金额
      - `false`：不包含税费金额

    * `total_shipping_price`

      string

      运费，以店铺币种展示。数值保留到小数点后两位。

    * `current_extra_total_discounts`

      string

      订单折扣金额，不包含折扣码优惠。数值保留到小数点后两位。

  * `shipping_address`

    object

    收货地址信息。

    * `area`

      string

      收货地址中的区或县。
      
      最大长度限制：64

    * `area_code`

      string

      收货地址中区或县的编码。

    * `latitude`

      string

      收货地址所在的纬度。

    * `phone`

      string

      收件人的手机号码。

    * `province_code`

      string

      收货地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码。

    * `city_code`

      string

      收货地址中城市的编码。

    * `longitude`

      string

      收货地址所在的经度。

    * `province`

      string

      收货地址中的州或省份。

    * `address2`

      string

      收货地址的第二行。通常是公寓、套房或单元等信息。
      
      最大长度限制：255

    * `city`

      string

      收货地址中的城市。
      
      最大长度限制：64

    * `email`

      string

      买家的邮箱地址。

    * `last_name`

      string

      收件人的姓。
      
      最大长度限制：64

    * `zip`

      string

      收货地址的邮编信息。

    * `address1`

      string

      收货地址的第一行。通常是街道地址或邮政信箱编号等信息。
      
      最大长度限制：255

    * `company`

      string

      收件人的公司名称。

    * `country`

      string

      收货地址中的国家或区域。
      
      最大长度限制：64

    * `country_code`

      string

      收货地址中国家或地区的二位国家码，遵循 [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html)  国际标准。

    * `first_name`

      string

      收件人的名。
      
      最大长度限制：64

  * `shipping_line`

    object

    运费信息。

    * `code`

      string

      物流编号。

    * `price`

      string

      运费金额，数值保留到小数点后两位。

    * `tax_line`

      object

      自定义商品税费信息。

      * `title`

        string

        税费说明标题。该信息只做展示作用。

      * `price`

        string

        税费金额。商品实际收税以此字段金额为准，传入的 `rate` 税费仅做展示作用。

      * `rate`

        string

        税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。

    * `title`

      string

      运费名称。

  * `shipping_lines`

    array<object>

    运费方案列表。
    最大个数限制：10

    * `title`

      string

      运费名称。

    * `price`

      string

      运费金额

    * `tax_line`

      object

      运费税费明细

      * `price`

        string

        税费金额

      * `rate`

        string

        税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。

      * `title`

        string

        税费说明标题。该信息只做展示作用。

  * `billing_address`

    object

    用于邮寄账单发票的地址。

    * `city`

      string

      账单地址中的城市。
      
      最大长度限制：64

    * `company`

      string

      账单收件人的公司名称。

    * `phone`

      string

      账单收件人的手机号码。

    * `same_as_receiver`

      boolean

      表示账单地址 `billing_address` 是否与收货地址 `shipping_address` 是一样的。

    * `address1`

      string

      账单地址的第一行。通常是街道地址或邮政信箱编号等信息。
      
      最大长度限制：256

    * `address2`

      string

      账单地址的第二行。通常是公寓、套房或单元等信息。
      
      最大长度限制：256

    * `country`

      string

      账单地址中的国家或地区。
      
      最大长度限制：64

    * `last_name`

      string

      账单收件人的姓。

    * `province`

      string

      账单地址中的省份。

    * `city_code`

      string

      账单地址中城市的编码。

    * `country_code`

      string

      账单地址中国家或地区的二位国家码，遵循 [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html)  国际标准。

    * `zip`

      string

      账单地址的邮编信息。

    * `area`

      string

      账单地址中的区或县。
      
      最大长度限制：64

    * `area_code`

      string

      账单地址中区或县的编码。

    * `email`

      string

      账单收件人的邮箱。

    * `first_name`

      string

      账单收件人的名。

    * `province_code`

      string

      账单地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) 国际编码。

  * `customer_locale`

    string

    买家语种编码，语种编码遵循 [ISO 639](https://www.iso.org/iso-639-language-code) 标准。

  * `financial_status`

    string

    订单的付款状态。有效枚举值包含：
    - `unpaid`：未支付
    - `partially_paid`：部分支付
    - `paid`：已完成支付
    
    默认值：`unpaid`
    
    :::warning
    **注意**：传入枚举值的准确性会进行强校验，如果枚举值校验不通过，则订单创建会失败，会报错 `financial_status is invalid`。
    :::

  * `inventory_behaviour`

    string

    在订单创建过程中库存的处理方式。有效枚举值包含：
    - `bypass`：不处理库存。在创建订单时，系统不会对库存进行任何操作，库存数量不会发生变化。
    - `decrement_ignoring_policy`：扣减库存。不受商家配置的库存策略影响。
    - `decrement_obeying_policy`：按照商家配置的库存策略扣减库存。

  * `send_fulfillment_receipt`

    boolean

    是否发送订单发货邮件。
    - `true`： 发送
    - `false`：不发送

  * `send_receipt`

    boolean

    是否发送订单确认邮件。
    - `true`： 发送
    - `false`：不发送

  * `company_location_id`

    string

    公司地点 ID，用于创建 B2B 订单。

  * `customer`

    object

    买家信息。

    * `area_code`

      string

      国家或地区的手机区号。

    * `email`

      string

      买家的邮箱地址。

    * `first_name`

      string

      买家的名。

    * `id`

      string

      买家 ID。
      
      最大长度限制：64

    * `last_name`

      string

      买家的姓。

    * `phone`

      string

      买家手机号。

  * `exchange_rate`

    string

    订单货币和店铺货币之间的汇率。

  * `name`

    string

    订单编号（和订单 ID 不同，该编号可以在商家后台自定义前缀）。

  * `order_note`

    string

    商家订单备注。
    
    最大长度限制：50

  * `market_region_country_code`

    string

    订单下单所在市场的国家或区域码。遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。

  * `note`

    string

    订单备注。
    
    最大长度限制：50
    :::danger
    **废弃**：该字段自 API 版本 v20210901 起已废弃。
    :::

  * `note_attributes`

    array<object>

    商家备注日志列表。

    * `name`

      string

      商家 ID，表明备注来源。

    * `value`

      string

      备注内容。

  * `processed_at`

    string

    订单成单时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `transaction_list`

    array<object>

    支付单列表。

    * `amount`

      string

      支付单金额。数值保留到小数点后两位。

    * `gateways`

      string

      支付渠道。

    * `processed_at`

      string

      支付单创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `status`

      string

      支付状态。有效枚举值包含： 
      - `unpaid`： 未支付
      - `failure`：支付失败
      - `success`：支付成功
      - `error`：支付出错

  * `transactions`

    object

    支付单信息。

    * `id`

      string

      支付方式 ID。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `order`

  object

  订单信息。

  * `note_attributes`

    array<object>

    商家备注日志。

    * `name`

      string

      卖家标识，表明备注来源。

    * `value`

      string

      备注内容。

  * `po_number`

    string

    B2B 场景在订单上记录的采购订单号。

  * `tax_type`

    string

    订单的税费类型。有效枚举值包含：
    - `product_tax`：商品税
    - `shipping_tax`：运费税

  * `total_line_items_price`

    string

    商品原价总和，数值保留到小数点后两位，以店铺币种金额展示。

  * `total_line_items_price_set`

    object

    商品原价总和，分别以买家币种金额和店铺币种金额展示。

    * `presentment_money`

      object

      展示给买家的商品原价信息。

      * `amount`

        string

        商品原价，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      商家侧记录的商品原价信息。

      * `amount`

        string

        商品原价，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `total_tax_set`

    object

    税费总和，分别以买家币种金额和店铺币种金额展示。

    * `presentment_money`

      object

      展示给买家的税费信息。

      * `amount`

        string

        税费，数值保留到小数点后两位。
        

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      商家侧记录的税费信息。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

      * `amount`

        string

        税费，数值保留到小数点后两位。
        

  * `total_tip_received`

    string

    小费，数值保留到小数点后两位，以店铺币种金额展示。

  * `current_subtotal_price`

    string

    商品金额总和，为商品单价 * 数量，以店铺币种展示。

  * `current_total_duties_set`

    object

    商品总关税，分别以买家币种金额和店铺币种金额展示。

    * `presentment_money`

      object

      展示给买家的商品总关税信息。

      * `amount`

        string

        关税金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      商家侧记录的商品总关税信息。

      * `amount`

        string

        关税金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `current_total_tax_set`

    object

    税费金额总和，分别以买家币种金额和店铺币种金额展示。

    * `presentment_money`

      object

      展示给买家的税费信息。

      * `amount`

        string

        税费，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      商家侧记录的税费信息。

      * `amount`

        string

        税费，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。
        

  * `name`

    string

    商家自定义的订单号，从 1001 开始，可以设置前缀。

  * `payment_details`

    array<object>

    支付单信息列表。

    * `pay_seq`

      string

      支付单号。

    * `pay_status`

      string

      支付单状态。有效枚举值包含：
      - `unpaid`：未支付
      - `pending`：支付中
      - `risking`：风控中
      - `paid`：已支付
      - `paid_overtime`：支付超时
      - `paid_failed`：支付失败

    * `processed_at`

      string

      支付单创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

    * `pay_amount`

      string

      支付金额，以店铺币种金额展示。数值保留到小数点后两位。

    * `pay_channel`

      string

      支付渠道。

    * `pay_channel_deal_id`

      string

      外部渠道支付流水号。

  * `pos_location_id`

    string

    POS 交易地点 ID。

  * `presentment_currency`

    string

    买家侧币种，同卖家侧币种。三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `tax_number`

    string

    税号。

  * `created_at`

    string

    订单创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `current_total_tax`

    string

    税费金额总和，以店铺币种金额展示。

  * `customer`

    object

    买家信息。

    * `area_code`

      string

      国家或地区的手机区号。

    * `currency`

      string

      三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `email`

      string

      买家的邮箱地址。

    * `first_name`

      string

      买家的名。

    * `id`

      string

      买家 ID。

    * `last_name`

      string

      买家的姓。

    * `phone`

      string

      买家的手机号。

  * `order_status_url`

    string

    订单状态页 URL。

  * `subtotal_price`

    string

    商品折后价总和，为商品总价 - 营销优惠 - 自定义折扣，以店铺币种展示。

  * `subtotal_price_set`

    object

    商品折后价总和，分别以买家币种金额和店铺币种金额展示。

    * `presentment_money`

      object

      展示给买家的折后价格信息。

      * `amount`

        string

        折后价格，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。

    * `shop_money`

      object

      商家侧记录的折后价格信息。

      * `amount`

        string

        折后价格，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。

  * `taxes_included`

    boolean

    该订单是否包含税费金额。
    - `true`：包含税费金额
    - `false`：不包含税费金额

  * `total_discounts`

    string

    订单折扣总和，为营销折扣 + 自定义折扣，数值保留到小数点后两位，以店铺币种金额展示。
    
    :::danger
    **废弃**：该字段自 API 版本 v20210901 起已废弃。
    :::
    

  * `current_total_price`

    string

    订单总额，以店铺币种金额展示。

  * `deduct_member_point_amount`

    string

    当前订单会员积分抵扣金额，以店铺币种展示。数值保留到小数点后两位。

  * `discount_codes`

    object

    优惠码信息。

    * `amount`

      string

      优惠金额，以店铺币种展示，数值保留到小数点后两位。
      

    * `code`

      string

      优惠码。

    * `type`

      string

      优惠类型。有效枚举值包含：
      - `减金额`：全场满 100 元立减 10 元
      - `打折`：全场满 100 元打 9 折
      - `免运费`：满 3 件免运费
      - `加价品`：需要支付额外金额
      - `任意N件优惠价`：任意买 3 件商品，只需 99 元
      - `A+B组合优惠价`：同时买 A 商品和 B 商品，两件一起只需 88 元
      - `赠品`：购买制定商品赠送额外商品
      - `固定售价`：统一售价 29 元
      - `最低价商品免费`：买 3 件商品，最便宜的那件免费
      - `打包价`：多件商品组合以固定总价出售
      - `第N件打折`：第 2 件打 8 折
      - `买x送y`：满 2 件送 1 件
      - `自定义`：自定义折扣
      
      :::warning
      **注意**：返回的值为中文。
      :::

  * `id`

    string

    订单号，系统自定义编号。

  * `status`

    string

    订单状态。有效枚举值包含：
    - `open`：订单处理中
    - `cancelled`：订单已取消

  * `total_outstanding`

    string

    未付款金额总额，数值保留到小数点后两位，以店铺币种金额展示。

  * `current_subtotal_price_set`

    object

    商品金额总和，为商品单价 * 数量，分别以买家币种和店铺币种展示。

    * `shop_money`

      object

      商家侧记录的订单价格信息。

      * `amount`

        string

        订单金额。数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `presentment_money`

      object

      展示给买家的订单价格信息。

      * `amount`

        string

        订单金额。数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `current_total_discounts`

    string

    折扣金额总和，数值保留到小数点后两位，为营销优惠 + 人工折扣，以店铺币种展示。

  * `current_total_price_set`

    object

    订单总额，分别以买家币种金额和店铺币种金额展示。

    * `presentment_money`

      object

      展示给买家的订单价格信息。

      * `amount`

        string

        订单总额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      商家侧记录的订单价格信息。

      * `amount`

        string

        订单总额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `deduct_member_point_amount_set`

    object

    当前订单会员积分抵扣金额，分别以买家币种金额和店铺币种金额展示。

    * `presentment_money`

      object

      展示给买家的订单抵扣金额信息。

      * `amount`

        string

        抵扣金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      商家侧记录的订单抵扣金额信息。

      * `amount`

        string

        抵扣金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `shipping_address`

    object

    收货地址。

    * `city`

      string

      地址中的城市。

    * `company`

      string

      收件人所在的公司名称。

    * `district`

      string

      地址中的区。

    * `district_code`

      string

      地址中的区编码。

    * `province_code`

      string

      地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码。

    * `address1`

      string

      地址的第一行。通常是街道地址或邮政信箱编号等信息。

    * `address2`

      string

      地址的第二行。通常是公寓、套房或单元等信息。

    * `country`

      string

      地址中的国家或区域。

    * `country_code`

      string

      地址中国家或区域的二位码，遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) 国际标准的二位国家或区域码，用于识别市场所在的国家或地区。

    * `first_name`

      string

      收件人的名。

    * `last_name`

      string

      收件人的姓。

    * `zip`

      string

      地址的邮编信息。

    * `latitude`

      string

      地址所在的纬度。

    * `longitude`

      string

      地址所在的经度。

    * `phone`

      string

      收件人的手机号码。

    * `province`

      string

      地址中的省份。

    * `standard_province_code`

      string

      账单地址中省份的编码，该编码为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码，区别于`province_code`返参为自定义编码。

  * `tax_lines`

    array<object>

    税费明细列表。

    * `rate`

      double

      税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。

    * `title`

      string

      税费说明标题。该信息只做展示作用。

    * `name`

      string

      税费名称。

    * `price`

      string

      税费，以店铺币种展示。数值保留到小数点后两位。

    * `price_set`

      object

      税费，分别以买家币种和店铺币种展示。

      * `presentment_money`

        object

        展示给买家的税费信息。

      * `shop_money`

        object

        商家侧记录的税费信息。

  * `total_discounts_set`

    object

    订单折扣总和，为营销折扣 + 自定义折扣，分别以店铺币种金额和买家币种金额展示。
    
    :::danger
    **废弃**：该字段自 API 版本 v20210901 起已废弃。
    :::

    * `presentment_money`

      object

      展示给买家的折扣信息。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。

      * `amount`

        string

        折扣金额，数值保留到小数点后两位。

    * `shop_money`

      object

      商家侧记录的折扣信息。

      * `amount`

        string

        折扣金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。

  * `billing_address`

    object

    用于邮寄账单发票的地址。

    * `province_code`

      string

      账单地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码。

    * `standard_province_code`

      string

      账单地址中省份的编码，该编码为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码，区别于`province_code`返参为自定义编码。

    * `city`

      string

      账单地址中的城市。

    * `country_code`

      string

      账单地址中国家或地区的二位码，遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html)  国际标准。

    * `first_name`

      string

      账单收件人的名。

    * `last_name`

      string

      账单收件人的姓。

    * `zip`

      string

      账单地址的邮编信息。

    * `address1`

      string

      账单地址的第一行。通常是街道地址或邮政信箱编号等信息。

    * `address2`

      string

      账单地址的第二行。通常是公寓、套房或单元等信息。

    * `company`

      string

      账单收件人所在的公司名称。

    * `country`

      string

      账单地址中的国家或区域。

    * `phone`

      string

      账单收件人的手机号码。

    * `province`

      string

      账单地址中的省份。

  * `email`

    string

    买家邮箱。

  * `line_items`

    array<object>

    订单商品快照信息列表。

    * `variant_id`

      string

      分配给库存中某一特定商品的唯一编码。

    * `variant_title`

      string

      商品属性值，多个以 `/ ` 分割。

    * `vendor`

      string

      供应商。

    * `country_code_of_origin`

      string

      原产地或发货地的国家或地区代码，用于识别市场所在的国家或地区。遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) 国际标准。

    * `price`

      string

      商品售价，以店铺币种金额展示，数值保留到小数点后两位。

    * `tags`

      string

      商品标签，多个以逗号隔开。

    * `harmonized_system_code`

      string

      海关编码，用于在国际贸易中对产品进行分类。

    * `quantity`

      integer

      订单中的商品数量。

    * `requires_shipping`

      boolean

      商品是否需要发货。
      - `true`：需要发货
      - `false`：不需要发货

    * `sku`

      string

      商品 SKU 序列号。

    * `tax_lines`

      array<object>

      税费明细列表。

      * `title`

        string

        税费说明标题。该信息只做展示作用。

      * `name`

        string

        税费名称

      * `price`

        string

        税费，以店铺币种展示。数值保留到小数点后两位。

      * `price_set`

        object

        税费，分别以买家币种和店铺币种展示。

      * `rate`

        double

        税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。

    * `attribute`

      string

      款式规格信息，以款式名称和规格值拼接展示。

    * `duties`

      array<object>

      关税信息。

      * `country_code_of_origin`

        string

        原产地或发货地的国家或地区代码，用于识别市场所在的国家或地区。遵循 [ISO 3166-1](https://www.iso.org/iso-3166-country-codes.html) 国际标准。

      * `harmonized_system_code`

        string

        海关编码，用于在国际贸易中对产品进行分类。

      * `id`

        string

        关税编号。

      * `price`

        object

        关税金额，分别以买家币种金额和店铺币种金额展示。

      * `tax_lines`

        array<object>

        税费信息列表。

    * `name`

      string

      SKU 标题，该字段值和 `title` 一致。

    * `product_id`

      string

      款式对应商品的唯一标识 ID。

    * `properties`

      array<object>

      商品定制信息列表。

      * `name`

        string

        自定义属性名称。

      * `show`

        boolean

        定制信息是否可见：
        - `true`：可见
        - `false`：不可见
        默认值：`false`

      * `type`

        string

        定制信息类型。有效枚举值包含：
        - `text`：字符类型
        - `picture`：图片类型
        - `link`：链接类型

      * `urls`

        array<string>

        URL 资源列表。
        - 如果 `type` 是 `picture`，可通过 `urls` 获取渲染出缩略图。
        - 如果 `type` 是 `link`，那么超链接为 `urls` 的第一个。

      * `value`

        string

        自定义属性值。

    * `id`

      string

      商品快照表的 ID，系统生成，与订单号 `order.id` 唯一确认一个商品。

    * `image_url`

      string

      商品图片的 URL 地址。

    * `price_set`

      object

      商品售价，分别以店铺币种金额和买家币种金额展示。

      * `shop_money`

        object

        商家侧记录的商品售价信息。

      * `presentment_money`

        object

        展示给买家的商品售价信息。

    * `taxable`

      boolean

      该商品是否需要收税。
      - `true`：需要收税
      - `false`：不需要收税

    * `title`

      string

      商品标题。

  * `locations`

    array<object>

    到店取货地点地址信息列表。

    * `location_id`

      string

      取货地点唯一编号。

    * `name`

      string

      取货地址名称。

    * `type`

      string

      地点类型。有效枚举值包含：
      - `posLocation`：POS 渠道创建该订单的门店地点。建议使用 `posLocationId`，因为 `posLocation` 后续将废弃。
      - `pickupLocation`：当订单的配送方式为自提时，自提的门店地点。
      - `productLocation`：订单中商品的库存地点。建议使用商品行中的 `location` 信息，因为 `productLocation` 后续将废弃。

  * `order_source`

    string

    订单来源渠道的 handle。handle 为语义化标识符。

  * `total_shipping_price_set`

    object

    订单运费总和，分别以买家币种金额和店铺币种金额展示。

    * `presentment_money`

      object

      展示给买家的运费信息。

      * `amount`

        string

        运费金额，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      商家侧记录的运费信息。

      * `amount`

        string

        运费，数值保留到小数点后两位。
        

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `total_tax`

    string

    税费总额，数值保留到小数点后两位，以店铺币种金额展示。

  * `currency`

    string

    交易币种，三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `current_total_discounts_set`

    object

    折扣金额总和，数值保留到小数点后两位，为营销优惠 + 人工折扣，分别以买家币种金额和店铺币种金额展示。

    * `presentment_money`

      object

      展示给买家的折扣金额信息。

      * `amount`

        string

        折扣金额总和，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      商家侧记录的折扣金额信息。

      * `amount`

        string

        折扣金额总和，数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `financial_status`

    string

    订单付款状态。有效枚举值包含：
    - `unpaid`：未支付
    - `authorized`：已授权
    - `pending`：处理中
    - `partially_paid`：部分付款
    - `paid`：已付款
    - `partially_refunded`：部分退款
    - `refunded`：已退款

  * `phone`

    string

    买家的手机号。

  * `adjust_price_set`

    object

    POS 交易场景下因金额四舍五入带来的差额金额，分别以买家币种和卖家币种展示。

    * `presentment_money`

      object

      展示给买家的差额金额信息。

      * `amount`

        string

        差额金额。数值保留到小数点后两位。

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

    * `shop_money`

      object

      商家侧记录的差额金额信息。

      * `amount`

        string

        差额金额。数值保留到小数点后两位。
        

      * `currency_code`

        string

        三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。

  * `note`

    string

    商家备注内容。

  * `processed_at`

    string

    成单时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。

  * `total_weight`

    string

    商品总重量，单位：g。

  * `adjust_price`

    string

    POS 交易场景下因金额四舍五入带来的差额金额，用店铺币种。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "tags": [
    "创建订单"
  ],
  "description": "创建订单。",
  "externalDocs": {
    "description": "接口使用的权限点: `write_orders` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| PARAM_ILLEGAL | 422 | illegal param |\n"
  },
  "operationId": "JeIKq5Oi",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "body位置参数",
          "type": "object",
          "properties": {
            "order": {
              "name": "order",
              "description": "订单信息。",
              "type": "object",
              "properties": {
                "buyer_note": {
                  "name": "buyer_note",
                  "description": "买家留言。",
                  "type": "string",
                  "example": "message"
                },
                "currency": {
                  "name": "currency",
                  "description": "买家下单币种。该字段值为三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。",
                  "type": "string",
                  "example": "USD"
                },
                "fulfillment_status": {
                  "name": "fulfillment_status",
                  "description": "订单的发货状态。有效枚举值包含：\n- `unshipped`：未发货\n- `shipped`：已发货\n\n默认值：`unshipped`\n\n:::warning\n**注意**：传入枚举值的准确性会进行强校验，如果枚举值校验不通过，则订单会创建失败，会报错 `fulfillment_status is invalid`。\n:::",
                  "type": "string"
                },
                "line_items": {
                  "name": "line_items",
                  "description": "订单商品快照信息列表。",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "title": {
                        "name": "title",
                        "description": "商品标题。",
                        "type": "string",
                        "example": "beautiful skirt"
                      },
                      "location_id": {
                        "name": "location_id",
                        "description": "商品库存地点 ID。",
                        "type": "string",
                        "example": "5445886274929439997"
                      },
                      "properties": {
                        "name": "properties",
                        "description": "商品定制信息列表。",
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "value": {
                              "name": "value",
                              "description": "自定义属性值",
                              "type": "string",
                              "example": "attribute value"
                            },
                            "name": {
                              "name": "name",
                              "description": "自定义属性名称",
                              "type": "string",
                              "example": "attribute name"
                            },
                            "show": {
                              "name": "show",
                              "description": "定制信息是否可见：\n- `true`：可见\n- `false`：不可见\n默认值：`false`",
                              "type": "boolean"
                            },
                            "type": {
                              "name": "type",
                              "description": "定制信息类型。有效枚举值包含：\n- `text`：字符类型\n- `picture`：图片类型\n- `link`：链接类型",
                              "type": "string"
                            },
                            "urls": {
                              "name": "urls",
                              "description": "URL 资源列表。\n- 如果 `type` 是 `picture`，可通过 `urls` 获取渲染出缩略图。\n- 如果 `type` 是 `link`，那么超链接为 `urls` 的第一个。",
                              "type": "array",
                              "items": {
                                "type": "string",
                                "example": "[\"https://www.url.com\"]"
                              },
                              "example": [
                                "[\"https://www.url.com\"]"
                              ]
                            }
                          },
                          "example": {
                            "type": null,
                            "urls": [
                              "[\"https://www.url.com\"]"
                            ],
                            "value": "attribute value",
                            "name": "attribute name",
                            "show": null
                          }
                        },
                        "example": [
                          {
                            "type": null,
                            "urls": [
                              "[\"https://www.url.com\"]"
                            ],
                            "value": "attribute value",
                            "name": "attribute name",
                            "show": null
                          }
                        ]
                      },
                      "quantity": {
                        "name": "quantity",
                        "description": "商品数量。",
                        "type": "long",
                        "example": 1
                      },
                      "taxable": {
                        "name": "taxable",
                        "description": "该商品是否需要收税。\n- `true`：需要收税\n- `false`：不需要收税\n\n默认值：`true`",
                        "type": "boolean"
                      },
                      "variant_id": {
                        "name": "variant_id",
                        "description": "分配给库存中某一特定商品的唯一编码。",
                        "type": "string",
                        "example": "18056761559987524812644011"
                      },
                      "discount_price": {
                        "name": "discount_price",
                        "description": "商品自定义折扣明细。",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "折扣金额。数值保留到小数点后两位。",
                            "type": "string",
                            "example": "1.00"
                          },
                          "title": {
                            "name": "title",
                            "description": "折扣名称。",
                            "type": "string",
                            "example": "Discount name"
                          }
                        },
                        "example": {
                          "amount": "1.00",
                          "title": "Discount name"
                        }
                      },
                      "price": {
                        "name": "price",
                        "description": "商品售价，数值保留到小数点后两位。",
                        "type": "string",
                        "example": "3.25"
                      },
                      "product_id": {
                        "name": "product_id",
                        "description": "款式对应商品的唯一标识 ID。",
                        "type": "string",
                        "example": "16056761559984840457934011"
                      },
                      "requires_shipping": {
                        "name": "requires_shipping",
                        "description": "表明商品是否需要运输。\n- `true`：需要运输\n- `false`：不需要运输",
                        "type": "boolean"
                      },
                      "shipping_line_title": {
                        "name": "shipping_line_title",
                        "description": "商品行匹配的运费方案标题。在传入shipping_lines情况下，当前字段必传。",
                        "type": "string"
                      },
                      "tax_line": {
                        "name": "tax_line",
                        "description": "自定义商品税费信息。",
                        "type": "object",
                        "properties": {
                          "price": {
                            "name": "price",
                            "description": "税费金额。商品实际收税以此字段金额为准，传入的 `rate` 税费仅做展示作用。",
                            "type": "string",
                            "example": "3.25"
                          },
                          "rate": {
                            "name": "rate",
                            "description": "税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。",
                            "type": "string"
                          },
                          "title": {
                            "name": "title",
                            "description": "税费说明标题。该信息只做展示作用。",
                            "type": "string",
                            "example": "Tax name"
                          }
                        },
                        "example": {
                          "price": "3.25",
                          "rate": null,
                          "title": "Tax name"
                        }
                      }
                    },
                    "example": {
                      "title": "beautiful skirt",
                      "variant_id": "18056761559987524812644011",
                      "discount_price": {
                        "amount": "1.00",
                        "title": "Discount name"
                      },
                      "price": "3.25",
                      "product_id": "16056761559984840457934011",
                      "properties": [
                        {
                          "name": "attribute name",
                          "show": null,
                          "type": null,
                          "urls": [
                            "[\"https://www.url.com\"]"
                          ],
                          "value": "attribute value"
                        }
                      ],
                      "shipping_line_title": null,
                      "taxable": null,
                      "location_id": "5445886274929439997",
                      "quantity": 1,
                      "requires_shipping": null,
                      "tax_line": {
                        "price": "3.25",
                        "rate": null,
                        "title": "Tax name"
                      }
                    }
                  },
                  "example": [
                    {
                      "discount_price": {
                        "amount": "1.00",
                        "title": "Discount name"
                      },
                      "properties": [
                        {
                          "name": "attribute name",
                          "show": null,
                          "type": null,
                          "urls": [
                            "[\"https://www.url.com\"]"
                          ],
                          "value": "attribute value"
                        }
                      ],
                      "requires_shipping": null,
                      "taxable": null,
                      "location_id": "5445886274929439997",
                      "price": "3.25",
                      "product_id": "16056761559984840457934011",
                      "quantity": 1,
                      "shipping_line_title": null,
                      "tax_line": {
                        "price": "3.25",
                        "rate": null,
                        "title": "Tax name"
                      },
                      "title": "beautiful skirt",
                      "variant_id": "18056761559987524812644011"
                    }
                  ]
                },
                "price_info": {
                  "name": "price_info",
                  "description": "价格信息。",
                  "type": "object",
                  "properties": {
                    "taxes_included": {
                      "name": "taxes_included",
                      "description": "该订单是否包含税费金额。\n- `true`：包含税费金额\n- `false`：不包含税费金额",
                      "type": "boolean"
                    },
                    "total_shipping_price": {
                      "name": "total_shipping_price",
                      "description": "运费，以店铺币种展示。数值保留到小数点后两位。",
                      "type": "string",
                      "example": "8.00"
                    },
                    "current_extra_total_discounts": {
                      "name": "current_extra_total_discounts",
                      "description": "订单折扣金额，不包含折扣码优惠。数值保留到小数点后两位。",
                      "type": "string",
                      "example": "8.00"
                    }
                  },
                  "example": {
                    "taxes_included": null,
                    "total_shipping_price": "8.00",
                    "current_extra_total_discounts": "8.00"
                  }
                },
                "shipping_address": {
                  "name": "shipping_address",
                  "description": "收货地址信息。",
                  "type": "object",
                  "properties": {
                    "area": {
                      "name": "area",
                      "description": "收货地址中的区或县。\n\n最大长度限制：64",
                      "type": "string",
                      "example": "Panyu District"
                    },
                    "area_code": {
                      "name": "area_code",
                      "description": "收货地址中区或县的编码。",
                      "type": "string",
                      "example": "510006"
                    },
                    "latitude": {
                      "name": "latitude",
                      "description": "收货地址所在的纬度。",
                      "type": "string",
                      "example": "43"
                    },
                    "phone": {
                      "name": "phone",
                      "description": "收件人的手机号码。",
                      "type": "string",
                      "example": "13903004000"
                    },
                    "province_code": {
                      "name": "province_code",
                      "description": "收货地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-2](https://www.iso.org/iso-3166-country-codes.html#2012_iso3166-2) 国际编码。",
                      "type": "string",
                      "example": "4220006"
                    },
                    "city_code": {
                      "name": "city_code",
                      "description": "收货地址中城市的编码。",
                      "type": "string",
                      "example": "510000"
                    },
                    "longitude": {
                      "name": "longitude",
                      "description": "收货地址所在的经度。",
                      "type": "string",
                      "example": "34"
                    },
                    "province": {
                      "name": "province",
                      "description": "收货地址中的州或省份。",
                      "type": "string",
                      "example": "Guangdong Province"
                    },
                    "address2": {
                      "name": "address2",
                      "description": "收货地址的第二行。通常是公寓、套房或单元等信息。\n\n最大长度限制：255",
                      "type": "string",
                      "example": "Apartment 5"
                    },
                    "city": {
                      "name": "city",
                      "description": "收货地址中的城市。\n\n最大长度限制：64",
                      "type": "string",
                      "example": "Guangzhou City"
                    },
                    "email": {
                      "name": "email",
                      "description": "买家的邮箱地址。",
                      "type": "string",
                      "example": "test001@Gmail.com"
                    },
                    "last_name": {
                      "name": "last_name",
                      "description": "收件人的姓。\n\n最大长度限制：64",
                      "type": "string",
                      "example": "Washington"
                    },
                    "zip": {
                      "name": "zip",
                      "description": "收货地址的邮编信息。",
                      "type": "string",
                      "example": "510036"
                    },
                    "address1": {
                      "name": "address1",
                      "description": "收货地址的第一行。通常是街道地址或邮政信箱编号等信息。\n\n最大长度限制：255",
                      "type": "string",
                      "example": "Xiaoguwei Street"
                    },
                    "company": {
                      "name": "company",
                      "description": "收件人的公司名称。",
                      "type": "string",
                      "example": "Company Name"
                    },
                    "country": {
                      "name": "country",
                      "description": "收货地址中的国家或区域。\n\n最大长度限制：64",
                      "type": "string",
                      "example": "China"
                    },
                    "country_code": {
                      "name": "country_code",
                      "description": "收货地址中国家或地区的二位国家码，遵循 [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html)  国际标准。",
                      "type": "string",
                      "example": "CN"
                    },
                    "first_name": {
                      "name": "first_name",
                      "description": "收件人的名。\n\n最大长度限制：64",
                      "type": "string",
                      "example": "Tom"
                    }
                  },
                  "example": {
                    "city_code": "510000",
                    "first_name": "Tom",
                    "area": "Panyu District",
                    "longitude": "34",
                    "phone": "13903004000",
                    "province": "Guangdong Province",
                    "province_code": "4220006",
                    "zip": "510036",
                    "address2": "Apartment 5",
                    "city": "Guangzhou City",
                    "company": "Company Name",
                    "country": "China",
                    "country_code": "CN",
                    "email": "test001@Gmail.com",
                    "last_name": "Washington",
                    "latitude": "43",
                    "address1": "Xiaoguwei Street",
                    "area_code": "510006"
                  }
                },
                "shipping_line": {
                  "name": "shipping_line",
                  "description": "运费信息。",
                  "type": "object",
                  "properties": {
                    "code": {
                      "name": "code",
                      "description": "物流编号。",
                      "type": "string",
                      "example": "SF"
                    },
                    "price": {
                      "name": "price",
                      "description": "运费金额，数值保留到小数点后两位。",
                      "type": "string",
                      "example": "3.25"
                    },
                    "tax_line": {
                      "name": "tax_line",
                      "description": "自定义商品税费信息。",
                      "type": "object",
                      "properties": {
                        "title": {
                          "name": "title",
                          "description": "税费说明标题。该信息只做展示作用。",
                          "type": "string",
                          "example": "Tax name"
                        },
                        "price": {
                          "name": "price",
                          "description": "税费金额。商品实际收税以此字段金额为准，传入的 `rate` 税费仅做展示作用。",
                          "type": "string",
                          "example": "100"
                        },
                        "rate": {
                          "name": "rate",
                          "description": "税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。",
                          "type": "string"
                        }
                      },
                      "example": {
                        "price": "100",
                        "rate": null,
                        "title": "Tax name"
                      }
                    },
                    "title": {
                      "name": "title",
                      "description": "运费名称。",
                      "type": "string",
                      "example": "Shipping name"
                    }
                  },
                  "example": {
                    "code": "SF",
                    "price": "3.25",
                    "tax_line": {
                      "title": "Tax name",
                      "price": "100",
                      "rate": null
                    },
                    "title": "Shipping name"
                  }
                },
                "shipping_lines": {
                  "name": "shipping_lines",
                  "description": "运费方案列表。\n最大个数限制：10",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "title": {
                        "name": "title",
                        "description": "运费名称。",
                        "type": "string"
                      },
                      "price": {
                        "name": "price",
                        "description": "运费金额",
                        "type": "string"
                      },
                      "tax_line": {
                        "name": "tax_line",
                        "description": "运费税费明细",
                        "type": "object",
                        "properties": {
                          "price": {
                            "name": "price",
                            "description": "税费金额",
                            "type": "string"
                          },
                          "rate": {
                            "name": "rate",
                            "description": "税率，以小数形式表示，数值保留到小数点后四位。如果税率为2%，该值为`0.0200`。该信息只做展示作用。",
                            "type": "string"
                          },
                          "title": {
                            "name": "title",
                            "description": "税费说明标题。该信息只做展示作用。",
                            "type": "string"
                          }
                        },
                        "example": {
                          "price": null,
                          "rate": null,
                          "title": null
                        }
                      }
                    },
                    "example": {
                      "title": null,
                      "price": null,
                      "tax_line": {
                        "price": null,
                        "rate": null,
                        "title": null
                      }
                    }
                  },
                  "example": [
                    {
                      "price": null,
                      "tax_line": {
                        "price": null,
                        "rate": null,
                        "title": null
                      },
                      "title": null
                    }
                  ]
                },
                "billing_address": {
                  "name": "billing_address",
                  "description": "用于邮寄账单发票的地址。",
                  "type": "object",
                  "properties": {
                    "city": {
                      "name": "city",
                      "description": "账单地址中的城市。\n\n最大长度限制：64",
                      "type": "string",
                      "example": "Guangzhou City"
                    },
                    "company": {
                      "name": "company",
                      "description": "账单收件人的公司名称。",
                      "type": "string",
                      "example": "Company Name"
                    },
                    "phone": {
                      "name": "phone",
                      "description": "账单收件人的手机号码。",
                      "type": "string",
                      "example": "13903004000"
                    },
                    "same_as_receiver": {
                      "name": "same_as_receiver",
                      "description": "表示账单地址 `billing_address` 是否与收货地址 `shipping_address` 是一样的。",
                      "type": "boolean"
                    },
                    "address1": {
                      "name": "address1",
                      "description": "账单地址的第一行。通常是街道地址或邮政信箱编号等信息。\n\n最大长度限制：256",
                      "type": "string",
                      "example": "Xiaoguwei Street"
                    },
                    "address2": {
                      "name": "address2",
                      "description": "账单地址的第二行。通常是公寓、套房或单元等信息。\n\n最大长度限制：256",
                      "type": "string",
                      "example": "Apartment 5"
                    },
                    "country": {
                      "name": "country",
                      "description": "账单地址中的国家或地区。\n\n最大长度限制：64",
                      "type": "string",
                      "example": "China"
                    },
                    "last_name": {
                      "name": "last_name",
                      "description": "账单收件人的姓。",
                      "type": "string",
                      "example": "Washington"
                    },
                    "province": {
                      "name": "province",
                      "description": "账单地址中的省份。",
                      "type": "string",
                      "example": "Guangdong Province"
                    },
                    "city_code": {
                      "name": "city_code",
                      "description": "账单地址中城市的编码。",
                      "type": "string",
                      "example": "510000"
                    },
                    "country_code": {
                      "name": "country_code",
                      "description": "账单地址中国家或地区的二位国家码，遵循 [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html)  国际标准。",
                      "type": "string",
                      "example": "US"
                    },
                    "zip": {
                      "name": "zip",
                      "description": "账单地址的邮编信息。",
                      "type": "string",
                      "example": "510036"
                    },
                    "area": {
                      "name": "area",
                      "description": "账单地址中的区或县。\n\n最大长度限制：64",
                      "type": "string",
                      "example": "Panyu District"
                    },
                    "area_code": {
                      "name": "area_code",
                      "description": "账单地址中区或县的编码。",
                      "type": "string",
                      "example": "510007"
                    },
                    "email": {
                      "name": "email",
                      "description": "账单收件人的邮箱。",
                      "type": "string",
                      "example": "test001@Gmail.com"
                    },
                    "first_name": {
                      "name": "first_name",
                      "description": "账单收件人的名。",
                      "type": "string",
                      "example": "Tom"
                    },
                    "province_code": {
                      "name": "province_code",
                      "description": "账单地址中省份的编码，该编码可以是自定义编号或者为二位的 [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) 国际编码。",
                      "type": "string",
                      "example": "4220006"
                    }
                  },
                  "example": {
                    "zip": "510036",
                    "address1": "Xiaoguwei Street",
                    "address2": "Apartment 5",
                    "area": "Panyu District",
                    "city": "Guangzhou City",
                    "country": "China",
                    "country_code": "US",
                    "email": "test001@Gmail.com",
                    "phone": "13903004000",
                    "province_code": "4220006",
                    "last_name": "Washington",
                    "area_code": "510007",
                    "city_code": "510000",
                    "company": "Company Name",
                    "first_name": "Tom",
                    "province": "Guangdong Province",
                    "same_as_receiver": null
                  }
                },
                "customer_locale": {
                  "name": "customer_locale",
                  "description": "买家语种编码，语种编码遵循 [ISO 639](https://www.iso.org/iso-639-language-code) 标准。",
                  "type": "string",
                  "example": "en"
                },
                "financial_status": {
                  "name": "financial_status",
                  "description": "订单的付款状态。有效枚举值包含：\n- `unpaid`：未支付\n- `partially_paid`：部分支付\n- `paid`：已完成支付\n\n默认值：`unpaid`\n\n:::warning\n**注意**：传入枚举值的准确性会进行强校验，如果枚举值校验不通过，则订单创建会失败，会报错 `financial_status is invalid`。\n:::",
                  "type": "string"
                },
                "inventory_behaviour": {
                  "name": "inventory_behaviour",
                  "description": "在订单创建过程中库存的处理方式。有效枚举值包含：\n- `bypass`：不处理库存。在创建订单时，系统不会对库存进行任何操作，库存数量不会发生变化。\n- `decrement_ignoring_policy`：扣减库存。不受商家配置的库存策略影响。\n- `decrement_obeying_policy`：按照商家配置的库存策略扣减库存。",
                  "type": "string"
                },
                "send_fulfillment_receipt": {
                  "name": "send_fulfillment_receipt",
                  "description": "是否发送订单发货邮件。\n- `true`： 发送\n- `false`：不发送",
                  "type": "boolean"
                },
                "send_receipt": {
                  "name": "send_receipt",
                  "description": "是否发送订单确认邮件。\n- `true`： 发送\n- `false`：不发送",
                  "type": "boolean"
                },
                "company_location_id": {
                  "name": "company_location_id",
                  "description": "公司地点 ID，用于创建 B2B 订单。",
                  "type": "string",
                  "example": "3232423438438"
                },
                "customer": {
                  "name": "customer",
                  "description": "买家信息。",
                  "type": "object",
                  "properties": {
                    "area_code": {
                      "name": "area_code",
                      "description": "国家或地区的手机区号。",
                      "type": "string",
                      "example": "+86"
                    },
                    "email": {
                      "name": "email",
                      "description": "买家的邮箱地址。",
                      "type": "string",
                      "example": "test001@Gmail.com"
                    },
                    "first_name": {
                      "name": "first_name",
                      "description": "买家的名。",
                      "type": "string",
                      "example": "Tom"
                    },
                    "id": {
                      "name": "id",
                      "description": "买家 ID。\n\n最大长度限制：64",
                      "type": "string",
                      "example": "4201057495"
                    },
                    "last_name": {
                      "name": "last_name",
                      "description": "买家的姓。",
                      "type": "string",
                      "example": "Washington"
                    },
                    "phone": {
                      "name": "phone",
                      "description": "买家手机号。",
                      "type": "string",
                      "example": "13903004000"
                    }
                  },
                  "example": {
                    "area_code": "+86",
                    "email": "test001@Gmail.com",
                    "first_name": "Tom",
                    "id": "4201057495",
                    "last_name": "Washington",
                    "phone": "13903004000"
                  }
                },
                "exchange_rate": {
                  "name": "exchange_rate",
                  "description": "订单货币和店铺货币之间的汇率。",
                  "type": "string",
                  "example": "7.1245"
                },
                "name": {
                  "name": "name",
                  "description": "订单编号（和订单 ID 不同，该编号可以在商家后台自定义前缀）。",
                  "type": "string",
                  "example": "D101"
                },
                "order_note": {
                  "name": "order_note",
                  "description": "商家订单备注。\n\n最大长度限制：50",
                  "type": "string",
                  "example": "Notes"
                },
                "market_region_country_code": {
                  "name": "market_region_country_code",
                  "description": "订单下单所在市场的国家或区域码。遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。",
                  "type": "string",
                  "example": "US"
                },
                "note": {
                  "name": "note",
                  "description": "订单备注。\n\n最大长度限制：50\n:::danger\n**废弃**：该字段自 API 版本 v20210901 起已废弃。\n:::",
                  "type": "string",
                  "example": "Notes"
                },
                "note_attributes": {
                  "name": "note_attributes",
                  "description": "商家备注日志列表。",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "name": {
                        "name": "name",
                        "description": "商家 ID，表明备注来源。",
                        "type": "string",
                        "example": "Note source"
                      },
                      "value": {
                        "name": "value",
                        "description": "备注内容。",
                        "type": "string",
                        "example": "Notes"
                      }
                    },
                    "example": {
                      "name": "Note source",
                      "value": "Notes"
                    }
                  },
                  "example": [
                    {
                      "name": "Note source",
                      "value": "Notes"
                    }
                  ]
                },
                "processed_at": {
                  "name": "processed_at",
                  "description": "订单成单时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                  "type": "string",
                  "example": "2023-04-12T22:59:52+08:00"
                },
                "transaction_list": {
                  "name": "transaction_list",
                  "description": "支付单列表。",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "amount": {
                        "name": "amount",
                        "description": "支付单金额。数值保留到小数点后两位。",
                        "type": "string",
                        "example": "3.25"
                      },
                      "gateways": {
                        "name": "gateways",
                        "description": "支付渠道。",
                        "type": "string",
                        "example": "PayPal"
                      },
                      "processed_at": {
                        "name": "processed_at",
                        "description": "支付单创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                        "type": "string",
                        "example": "2023-04-12T22:59:52+08:00"
                      },
                      "status": {
                        "name": "status",
                        "description": "支付状态。有效枚举值包含： \n- `unpaid`： 未支付\n- `failure`：支付失败\n- `success`：支付成功\n- `error`：支付出错",
                        "type": "string",
                        "example": "string"
                      }
                    },
                    "required": [
                      "status"
                    ],
                    "example": {
                      "amount": "3.25",
                      "gateways": "PayPal",
                      "processed_at": "2023-04-12T22:59:52+08:00",
                      "status": "string"
                    }
                  },
                  "example": [
                    {
                      "processed_at": "2023-04-12T22:59:52+08:00",
                      "status": "string",
                      "amount": "3.25",
                      "gateways": "PayPal"
                    }
                  ]
                },
                "transactions": {
                  "name": "transactions",
                  "description": "支付单信息。",
                  "type": "object",
                  "properties": {
                    "id": {
                      "name": "id",
                      "description": "支付方式 ID。",
                      "type": "string",
                      "example": "424243"
                    }
                  },
                  "example": {
                    "id": "424243"
                  }
                }
              },
              "required": [
                "line_items",
                "price_info"
              ],
              "example": {
                "company_location_id": "3232423438438",
                "customer": {
                  "area_code": "+86",
                  "email": "test001@Gmail.com",
                  "first_name": "Tom",
                  "id": "4201057495",
                  "last_name": "Washington",
                  "phone": "13903004000"
                },
                "customer_locale": "en",
                "exchange_rate": "7.1245",
                "name": "D101",
                "processed_at": "2023-04-12T22:59:52+08:00",
                "shipping_address": {
                  "last_name": "Washington",
                  "province": "Guangdong Province",
                  "address1": "Xiaoguwei Street",
                  "area": "Panyu District",
                  "country": "China",
                  "email": "test001@Gmail.com",
                  "latitude": "43",
                  "phone": "13903004000",
                  "city": "Guangzhou City",
                  "city_code": "510000",
                  "company": "Company Name",
                  "country_code": "CN",
                  "address2": "Apartment 5",
                  "longitude": "34",
                  "province_code": "4220006",
                  "zip": "510036",
                  "area_code": "510006",
                  "first_name": "Tom"
                },
                "billing_address": {
                  "address2": "Apartment 5",
                  "city_code": "510000",
                  "country_code": "US",
                  "last_name": "Washington",
                  "phone": "13903004000",
                  "area": "Panyu District",
                  "company": "Company Name",
                  "country": "China",
                  "first_name": "Tom",
                  "province_code": "4220006",
                  "same_as_receiver": null,
                  "address1": "Xiaoguwei Street",
                  "area_code": "510007",
                  "email": "test001@Gmail.com",
                  "zip": "510036",
                  "city": "Guangzhou City",
                  "province": "Guangdong Province"
                },
                "fulfillment_status": null,
                "inventory_behaviour": null,
                "line_items": [
                  {
                    "shipping_line_title": null,
                    "tax_line": {
                      "rate": null,
                      "title": "Tax name",
                      "price": "3.25"
                    },
                    "taxable": null,
                    "title": "beautiful skirt",
                    "discount_price": {
                      "amount": "1.00",
                      "title": "Discount name"
                    },
                    "location_id": "5445886274929439997",
                    "price": "3.25",
                    "variant_id": "18056761559987524812644011",
                    "product_id": "16056761559984840457934011",
                    "properties": [
                      {
                        "name": "attribute name",
                        "show": null,
                        "type": null,
                        "urls": [
                          "[\"https://www.url.com\"]"
                        ],
                        "value": "attribute value"
                      }
                    ],
                    "quantity": 1,
                    "requires_shipping": null
                  }
                ],
                "market_region_country_code": "US",
                "note": "Notes",
                "note_attributes": [
                  {
                    "name": "Note source",
                    "value": "Notes"
                  }
                ],
                "currency": "USD",
                "financial_status": null,
                "send_fulfillment_receipt": null,
                "send_receipt": null,
                "shipping_line": {
                  "code": "SF",
                  "price": "3.25",
                  "tax_line": {
                    "price": "100",
                    "rate": null,
                    "title": "Tax name"
                  },
                  "title": "Shipping name"
                },
                "shipping_lines": [
                  {
                    "price": null,
                    "tax_line": {
                      "rate": null,
                      "title": null,
                      "price": null
                    },
                    "title": null
                  }
                ],
                "buyer_note": "message",
                "order_note": "Notes",
                "price_info": {
                  "current_extra_total_discounts": "8.00",
                  "taxes_included": null,
                  "total_shipping_price": "8.00"
                },
                "transaction_list": [
                  {
                    "amount": "3.25",
                    "gateways": "PayPal",
                    "processed_at": "2023-04-12T22:59:52+08:00",
                    "status": "string"
                  }
                ],
                "transactions": {
                  "id": "424243"
                }
              }
            }
          },
          "required": [
            "order"
          ],
          "example": {
            "order": {
              "transactions": {
                "id": "424243"
              },
              "company_location_id": "3232423438438",
              "currency": "USD",
              "customer": {
                "email": "test001@Gmail.com",
                "first_name": "Tom",
                "id": "4201057495",
                "last_name": "Washington",
                "phone": "13903004000",
                "area_code": "+86"
              },
              "fulfillment_status": null,
              "send_receipt": null,
              "shipping_lines": [
                {
                  "price": null,
                  "tax_line": {
                    "price": null,
                    "rate": null,
                    "title": null
                  },
                  "title": null
                }
              ],
              "buyer_note": "message",
              "exchange_rate": "7.1245",
              "market_region_country_code": "US",
              "processed_at": "2023-04-12T22:59:52+08:00",
              "transaction_list": [
                {
                  "amount": "3.25",
                  "gateways": "PayPal",
                  "processed_at": "2023-04-12T22:59:52+08:00",
                  "status": "string"
                }
              ],
              "name": "D101",
              "note": "Notes",
              "customer_locale": "en",
              "financial_status": null,
              "inventory_behaviour": null,
              "line_items": [
                {
                  "taxable": null,
                  "title": "beautiful skirt",
                  "variant_id": "18056761559987524812644011",
                  "location_id": "5445886274929439997",
                  "price": "3.25",
                  "properties": [
                    {
                      "name": "attribute name",
                      "show": null,
                      "type": null,
                      "urls": [
                        "[\"https://www.url.com\"]"
                      ],
                      "value": "attribute value"
                    }
                  ],
                  "shipping_line_title": null,
                  "discount_price": {
                    "amount": "1.00",
                    "title": "Discount name"
                  },
                  "product_id": "16056761559984840457934011",
                  "quantity": 1,
                  "requires_shipping": null,
                  "tax_line": {
                    "title": "Tax name",
                    "price": "3.25",
                    "rate": null
                  }
                }
              ],
              "note_attributes": [
                {
                  "name": "Note source",
                  "value": "Notes"
                }
              ],
              "price_info": {
                "current_extra_total_discounts": "8.00",
                "taxes_included": null,
                "total_shipping_price": "8.00"
              },
              "billing_address": {
                "address2": "Apartment 5",
                "city": "Guangzhou City",
                "country_code": "US",
                "phone": "13903004000",
                "zip": "510036",
                "area": "Panyu District",
                "area_code": "510007",
                "company": "Company Name",
                "country": "China",
                "first_name": "Tom",
                "address1": "Xiaoguwei Street",
                "last_name": "Washington",
                "province": "Guangdong Province",
                "same_as_receiver": null,
                "city_code": "510000",
                "email": "test001@Gmail.com",
                "province_code": "4220006"
              },
              "order_note": "Notes",
              "send_fulfillment_receipt": null,
              "shipping_address": {
                "address1": "Xiaoguwei Street",
                "country": "China",
                "email": "test001@Gmail.com",
                "longitude": "34",
                "company": "Company Name",
                "first_name": "Tom",
                "zip": "510036",
                "address2": "Apartment 5",
                "area": "Panyu District",
                "last_name": "Washington",
                "province": "Guangdong Province",
                "province_code": "4220006",
                "area_code": "510006",
                "city": "Guangzhou City",
                "city_code": "510000",
                "country_code": "CN",
                "latitude": "43",
                "phone": "13903004000"
              },
              "shipping_line": {
                "title": "Shipping name",
                "code": "SF",
                "price": "3.25",
                "tax_line": {
                  "rate": null,
                  "title": "Tax name",
                  "price": "100"
                }
              }
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "order": {
                "name": "order",
                "description": "订单信息。",
                "type": "object",
                "properties": {
                  "note_attributes": {
                    "name": "note_attributes",
                    "description": "商家备注日志。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "name": {
                          "name": "name",
                          "description": "卖家标识，表明备注来源。",
                          "type": "string",
                          "example": "Note source"
                        },
                        "value": {
                          "name": "value",
                          "description": "备注内容。",
                          "type": "string",
                          "example": "Notes"
                        }
                      },
                      "example": {
                        "name": "Note source",
                        "value": "Notes"
                      }
                    },
                    "example": [
                      {
                        "name": "Note source",
                        "value": "Notes"
                      }
                    ]
                  },
                  "po_number": {
                    "name": "po_number",
                    "description": "B2B 场景在订单上记录的采购订单号。",
                    "type": "string"
                  },
                  "tax_type": {
                    "name": "tax_type",
                    "description": "订单的税费类型。有效枚举值包含：\n- `product_tax`：商品税\n- `shipping_tax`：运费税",
                    "type": "string"
                  },
                  "total_line_items_price": {
                    "name": "total_line_items_price",
                    "description": "商品原价总和，数值保留到小数点后两位，以店铺币种金额展示。",
                    "type": "string",
                    "example": "3.25"
                  },
                  "total_line_items_price_set": {
                    "name": "total_line_items_price_set",
                    "description": "商品原价总和，分别以买家币种金额和店铺币种金额展示。",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "展示给买家的商品原价信息。",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "商品原价，数值保留到小数点后两位。",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "商家侧记录的商品原价信息。",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "商品原价，数值保留到小数点后两位。",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "amount": "3.25",
                        "currency_code": "USD"
                      },
                      "shop_money": {
                        "amount": "3.25",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "total_tax_set": {
                    "name": "total_tax_set",
                    "description": "税费总和，分别以买家币种金额和店铺币种金额展示。",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "展示给买家的税费信息。",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "税费，数值保留到小数点后两位。\n",
                            "type": "string",
                            "example": "3.25"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "商家侧记录的税费信息。",
                        "type": "object",
                        "properties": {
                          "currency_code": {
                            "name": "currency_code",
                            "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                            "type": "string",
                            "example": "USD"
                          },
                          "amount": {
                            "name": "amount",
                            "description": "税费，数值保留到小数点后两位。\n",
                            "type": "string",
                            "example": "3.25"
                          }
                        },
                        "example": {
                          "amount": "3.25",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "presentment_money": {
                        "currency_code": "USD",
                        "amount": "3.25"
                      },
                      "shop_money": {
                        "currency_code": "USD",
                        "amount": "3.25"
                      }
                    }
                  },
                  "total_tip_received": {
                    "name": "total_tip_received",
                    "description": "小费，数值保留到小数点后两位，以店铺币种金额展示。",
                    "type": "string",
                    "example": "3.25"
                  },
                  "current_subtotal_price": {
                    "name": "current_subtotal_price",
                    "description": "商品金额总和，为商品单价 * 数量，以店铺币种展示。",
                    "type": "string",
                    "example": "7.12"
                  },
                  "current_total_duties_set": {
                    "name": "current_total_duties_set",
                    "description": "商品总关税，分别以买家币种金额和店铺币种金额展示。",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "展示给买家的商品总关税信息。",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "关税金额，数值保留到小数点后两位。",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "商家侧记录的商品总关税信息。",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "关税金额，数值保留到小数点后两位。",
                            "type": "string",
                            "example": "8.88"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "8.88",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "shop_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      },
                      "presentment_money": {
                        "amount": "8.88",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "current_total_tax_set": {
                    "name": "current_total_tax_set",
                    "description": "税费金额总和，分别以买家币种金额和店铺币种金额展示。",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "展示给买家的税费信息。",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "税费，数值保留到小数点后两位。",
                            "type": "string",
                            "example": "1.03"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "1.03",
                          "currency_code": "USD"
                        }
                      },
                      "shop_money": {
                        "name": "shop_money",
                        "description": "商家侧记录的税费信息。",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "税费，数值保留到小数点后两位。",
                            "type": "string",
                            "example": "1.03"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。\n",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "amount": "1.03",
                          "currency_code": "USD"
                        }
                      }
                    },
                    "example": {
                      "shop_money": {
                        "amount": "1.03",
                        "currency_code": "USD"
                      },
                      "presentment_money": {
                        "amount": "1.03",
                        "currency_code": "USD"
                      }
                    }
                  },
                  "name": {
                    "name": "name",
                    "description": "商家自定义的订单号，从 1001 开始，可以设置前缀。",
                    "type": "string",
                    "example": "test1001"
                  },
                  "payment_details": {
                    "name": "payment_details",
                    "description": "支付单信息列表。",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "pay_seq": {
                          "name": "pay_seq",
                          "description": "支付单号。",
                          "type": "string",
                          "example": "23057287797738260472676128"
                        },
                        "pay_status": {
                          "name": "pay_status",
                          "description": "支付单状态。有效枚举值包含：\n- `unpaid`：未支付\n- `pending`：支付中\n- `risking`：风控中\n- `paid`：已支付\n- `paid_overtime`：支付超时\n- `paid_failed`：支付失败",
                          "type": "string"
                        },
                        "processed_at": {
                          "name": "processed_at",
                          "description": "支付单创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                          "type": "string",
                          "example": "2023-04-12T22:59:52+08:00"
                        },
                        "pay_amount": {
                          "name": "pay_amount",
                          "description": "支付金额，以店铺币种金额展示。数值保留到小数点后两位。",
                          "type": "string",
                          "example": "3.25"
                        },
                        "pay_channel": {
                          "name": "pay_channel",
                          "description": "支付渠道。",
                          "type": "string",
                          "example": "Paypal"
                        },
                        "pay_channel_deal_id": {
                          "name": "pay_channel_deal_id",
                          "description": "外部渠道支付流水号。",
                          "type": "string",
                          "example": "pi_3MI897Hezv8FxjBO1uGxMPhX"
                        }
                      },
                      "example": {
                        "pay_amount": "3.25",
                        "pay_channel": "Paypal",
                        "pay_channel_deal_id": "pi_3MI897Hezv8FxjBO1uGxMPhX",
                        "pay_seq": "23057287797738260472676128",
                        "pay_status": null,
                        "processed_at": "2023-04-12T22:59:52+08:00"
                      }
                    },
                    "example": [
                      {
                        "pay_seq": "23057287797738260472676128",
                        "pay_status": null,
                        "processed_at": "2023-04-12T22:59:52+08:00",
                        "pay_amount": "3.25",
                        "pay_channel": "Paypal",
                        "pay_channel_deal_id": "pi_3MI897Hezv8FxjBO1uGxMPhX"
                      }
                    ]
                  },
                  "pos_location_id": {
                    "name": "pos_location_id",
                    "description": "POS 交易地点 ID。",
                    "type": "string",
                    "example": "5327026538935748524"
                  },
                  "presentment_currency": {
                    "name": "presentment_currency",
                    "description": "买家侧币种，同卖家侧币种。三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                    "type": "string",
                    "example": "USD"
                  },
                  "tax_number": {
                    "name": "tax_number",
                    "description": "税号。",
                    "type": "string",
                    "example": "111111111111"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "订单创建时间。格式：[ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html)。",
                    "type": "string",
                    "example": "2021-08-16T08:27:57+00:00"
                  },
                  "current_total_tax": {
                    "name": "current_total_tax",
                    "description": "税费金额总和，以店铺币种金额展示。",
                    "type": "string",
                    "example": "2.41"
                  },
                  "customer": {
                    "name": "customer",
                    "description": "买家信息。",
                    "type": "object",
                    "properties": {
                      "area_code": {
                        "name": "area_code",
                        "description": "国家或地区的手机区号。",
                        "type": "string",
                        "example": "+86"
                      },
                      "currency": {
                        "name": "currency",
                        "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 国际标准。",
                        "type": "string",
                        "example": "USD"
                      },
                      "email": {
                        "name": "email",
                        "description": "买家的邮箱地址。",
                        "type": "string",
                        "example": "test001@Gmail.com"
                      },
                      "first_name": {
                        "name": "first_name",
                        "description": "买家的名。",
                        "type": "string",
                        "example": "Tom"
                      },
                      "id": {
                        "name": "id",
                        "description": "买家 ID。",
                        "type": "string",
                        "example": "4201057495"
                      },
                      "last_name": {
                        "name": "last_name",
                        "description": "买家的姓。",
                        "type": "string",
                        "example": "Washington"
                      },
                      "phone": {
                        "name": "phone",
                        "description": "买家的手机号。",
                        "type": "string",
                        "example": "13100000000"
                      }
                    },
                    "example": {
                      "id": "4201057495",
                      "last_name": "Washington",
                      "phone": "13100000000",
                      "area_code": "+86",
                      "currency": "USD",
                      "email": "test001@Gmail.com",
                      "first_name": "Tom"
                    }
                  },
                  "order_status_url": {
                    "name": "order_status_url",
                    "description": "订单状态页 URL。",
                    "type": "string",
                    "example": "https://shoptest.myshoplinestg.com/trade/thank_you?mainOrderMark=xxx&mainOrderSeq=200565776406008509"
                  },
                  "subtotal_price": {
                    "name": "subtotal_price",
                    "description": "商品折后价总和，为商品总价 - 营销优惠 - 自定义折扣，以店铺币种展示。",
                    "type": "string",
                    "example": "4.12"
                  },
                  "subtotal_price_set": {
                    "name": "subtotal_price_set",
                    "description": "商品折后价总和，分别以买家币种金额和店铺币种金额展示。",
                    "type": "object",
                    "properties": {
                      "presentment_money": {
                        "name": "presentment_money",
                        "description": "展示给买家的折后价格信息。",
                        "type": "object",
                        "properties": {
                          "amount": {
                            "name": "amount",
                            "description": "折后价格，数值保留到小数点后两位。",
                            "type": "string",
                            "example": "4.12"
                          },
                          "currency_code": {
                            "name": "currency_code",
                            "description": "三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准。",
                            "type": "string",
                            "example": "USD"
                          }
                        },
                        "example": {
                          "currency_code": "USD",
                          "amount": "4.12"
                        }
                      },
[...]
